## org.mortbay.jetty.ant.types
Class WebApp

    java.lang.Object
      org.mortbay.jetty.ant.types.WebApp

    public class WebApp

extends Object

Ant's WebApp object definition.

Author:
  Jakub Pawlowicz

Constructor Summary
`WebApp(org.apache.tools.ant.Project project)`

Method Summary
`void` `addClasses(org.apache.tools.ant.types.FileSet classes)`
`void` `addContextHandlers(ContextHandlers contextHandlers)`
`void` `addLib(org.apache.tools.ant.types.FileSet lib)`
`void` `addScanTargets(org.apache.tools.ant.types.FileSet scanTargets)`
`List` `getClasses()`
`List` `getClassPathFiles()`
`List` `getContextHandlers()`
`String` `getContextPath()`
`File` `getJettyEnvXml()`
`List` `getLibraries()`
`FileMatchingConfiguration` `getLibrariesConfiguration()`
`String` `getName()`
`int` `getScanIntervalSeconds()`
`FileMatchingConfiguration` `getScanTargetsConfiguration()`
`File` `getWarFile()`
`File` `getWebDefaultXmlFile()`
`File` `getWebXmlFile()`
`void` `setContextPath(String contextPath)`
`void` `setJettyEnvXml(File jettyEnvXml)`
`void` `setName(String name)`
`void` `setScanIntervalSeconds(int scanIntervalSeconds)`
`void` `setWarFile(File warFile)`
`void` `setWebDefaultXmlFile(File webDefaultXmlfile)`
`void` `setWebXmlFile(File webXmlFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebApp

    public WebApp(org.apache.tools.ant.Project project)

Method Detail

### getWebDefaultXmlFile

    public File getWebDefaultXmlFile()

### setWebDefaultXmlFile

    public void setWebDefaultXmlFile(File webDefaultXmlfile)

### addLib

    public void addLib(org.apache.tools.ant.types.FileSet lib)

### getLibraries

    public List getLibraries()

### addClasses

    public void addClasses(org.apache.tools.ant.types.FileSet classes)

### getClasses

    public List getClasses()

### getWarFile

    public File getWarFile()

### setWarFile

    public void setWarFile(File warFile)

### getContextPath

    public String getContextPath()

### setContextPath

    public void setContextPath(String contextPath)

### getName

    public String getName()

### setName

    public void setName(String name)

### getClassPathFiles

    public List getClassPathFiles()

  Returns:
    a list of classpath files (libraries and class directories).

### getLibrariesConfiguration

    public FileMatchingConfiguration getLibrariesConfiguration()

  Returns:
    a `FileMatchingConfiguration` object describing the configuration of all libraries added to this particular web app (both classes and libraries).

### getScanTargetsConfiguration

    public FileMatchingConfiguration getScanTargetsConfiguration()

### getWebXmlFile

    public File getWebXmlFile()

  Returns:
    location of web.xml file (either inside WAR or on the external location).

### setWebXmlFile

    public void setWebXmlFile(File webXmlFile)

### addScanTargets

    public void addScanTargets(org.apache.tools.ant.types.FileSet scanTargets)

### addContextHandlers

    public void addContextHandlers(ContextHandlers contextHandlers)

### getScanIntervalSeconds

    public int getScanIntervalSeconds()

### setScanIntervalSeconds

    public void setScanIntervalSeconds(int scanIntervalSeconds)

### getJettyEnvXml

    public File getJettyEnvXml()

### setJettyEnvXml

    public void setJettyEnvXml(File jettyEnvXml)

### getContextHandlers

    public List getContextHandlers()

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.